import { Plugin, PluginManifest, PluginModules, PluginPackage } from "@web3api/core-js";
export declare enum LogLevel {
    DEBUG = 0,
    INFO = 1,
    WARN = 2,
    ERROR = 3
}
export declare type LogFunc = (level: LogLevel, message: string) => boolean;
export declare class LoggerPlugin extends Plugin {
    private _logFunc?;
    constructor(logFunc?: LogFunc);
    static manifest(): PluginManifest;
    getModules(): PluginModules;
    log(level: LogLevel, message: string): boolean;
}
export declare const loggerPlugin: () => PluginPackage;
export declare const plugin: () => PluginPackage;
